Subject: RE: KEEPALIVE msg header (fwd)

From: Paul Brittain <[email-masked]>
Date: Fri, 11 Oct 1996 10:29:50 +0100

Harry,

Peter is correct - the KEEPALIVE should use the short INFOFRAME header.
However, I'm not sure that this frame is very widely used, so don't be
surprised if you never see one from some implementations! 

Paul.

>----------
>From: 	Harry Silverstone[SMTP:[email-masked]]
>Sent: 	11 October 1996 00:00
>To: 	Paul Brittain
>Subject: 	KEEPALIVE msg header (fwd)
>
>Hi Paul,
>
>	I was wondering if you had a chance to verify whether the 
>'short' or 'long' header is to be used when sending KEEPALIVE messages.
>I have checked all the notes that I have but haven't come across 
>where this was answered.
>
>Thanks,
>
>~harry
>
>---------- Forwarded message ----------
>Date: Mon, 7 Oct 96 10:53:57 EDT
>From: Peter W. Gayek <[email-masked]>
>To: [email-masked]
>Cc: [email-masked]
>Subject: KEEPALIVE msg header
>
>Harry,
>I think the agreement was to use the short header for KEEPALIVE.  I think
>this question has been posted to the mailer before but I'm not sure if it
>was answered definitively.  Paul, would it be possible to clear up this
>discrepancy in the forthcoming "clarifications" section of the new document?
>Peter
>----------------------------- attachment ----------------------------
>>Date: Fri, 4 Oct 1996 09:58:06 -0400 (EDT)
>>From: Harry Silverstone <[email-masked]>
>>To: [email-masked]
>>Subject: looking for clarification
>>Message-Id: <Pine.SUN.3.91.961004094752.27003B-100000@tentime>
>>Mime-Version: 1.0
>>Content-Type: TEXT/PLAIN; charset=US-ASCII
>>
>>Hi Peter,
>>
>>	Had another question for you if you don;t mind. In doing some
>>more testing with other vendors using 1795, I found a descrepancy in the
>>KEEPALIVE message interpretation.
>>
>>	In section 3.1, SSP Frame Formats, one sentence says that only
>>Info and IFCM messages are sent in Info frame header format. The next
>>sentence says that Info, Keepalive, and IFCM messages headers are 16
>>bytes long and control messages are 72 bytes.
>>
>>	Should the Keepalive msg be using the info or the control frame format?
>>
>>Actually should I just post this type of question to the dls-general
>>conference?
>>
>>Thanks,
>>
>>~harry
>>
>
>

---

From: Harry Silverstone <[email-masked]>
Date: Fri, 11 Oct 1996 08:28:12 -0400 (EDT)

Hi Paul,

	Thanks for the info. Will this be included in the 
clarifications document for RFC1795?

	The reason that I asked about this is because we do 
implement this and have found two other implementations who 
interpret this frame incorrectly; Network General's sniffer and a 
router vendor.

Thanks,

~harry